## net.i2p.client
Class DestReplyMessageHandler

    java.lang.Object
      net.i2p.client.HandlerImpl
          net.i2p.client.DestReplyMessageHandler

All Implemented Interfaces:
  I2CPMessageHandler

     class DestReplyMessageHandler

extends HandlerImpl

Handle I2CP dest replies from the router

Field Summary

Fields inherited from class net.i2p.client.HandlerImpl
`_context, _log`

Constructor Summary
`DestReplyMessageHandler(I2PAppContext ctx)`

Method Summary
`void` `handleMessage(I2CPMessage message, I2PSessionImpl session)`

Methods inherited from class net.i2p.client.HandlerImpl
`getType`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DestReplyMessageHandler

    public DestReplyMessageHandler(I2PAppContext ctx)

Method Detail

### handleMessage

    public void handleMessage(I2CPMessage message,
                              I2PSessionImpl session)